%define major   1
%define libname %mklibname nfd %{major}
%define devname %mklibname nfd -d

Name:           nativefiledialog-extended
Version:        1.2.1
Release:        %mkrel 1
Summary:        Native file dialog library with C and C++ bindings
Group:          System/Libraries
License:        Zlib
URL:            https://github.com/btzy/nativefiledialog-extended
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         nativefiledialog-extended-cmake-lib-suffix.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(gtk+-3.0)

%description
A small C library with that portably invokes native file open, folder
select and file save dialogs. Write dialog code once and have it pop up
native dialogs on all supported platforms. Avoid linking large
dependencies like wxWidgets and Qt.

This library is based on Michael Labbe's Native File Dialog (
mlabbe/nativefiledialog).

%package -n    %{libname}
Summary:        Native file dialog library with C and C++ bindings
Group:          System/Libraries

%description -n %{libname}
A small C library with that portably invokes native file open, folder
select and file save dialogs. Write dialog code once and have it pop up
native dialogs on all supported platforms. Avoid linking large
dependencies like wxWidgets and Qt.

This library is based on Michael Labbe's Native File Dialog (
mlabbe/nativefiledialog).

%package -n     %{devname}
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       nfd-devel = %{version}-%{release}

%description -n %{devname}
Header files for development with %{name}.

%prep
%autosetup -p1

%build
%cmake \
  -D NFD_BUILD_TESTS=OFF \
  -D BUILD_SHARED_LIBRARY=ON
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libnfd.so.%{major}{,.*}

%files -n %{devname}
%license LICENSE
%{_includedir}/nfd.h*
%{_includedir}/nfd_glfw3.h
%{_includedir}/nfd_sdl2.h
%{_libdir}/libnfd.so
%{_libdir}/cmake/nfd/


%changelog
* Thu Jul 17 2025 daviddavid <daviddavid> 1.2.1-1.mga10
+ Revision: 2256930
- initial package nativefiledialog-extended

